Bug 75972 - FILEOPEN: SAXParseException on one .DOCX (summary in comment 7)
Summary: FILEOPEN: SAXParseException on one .DOCX (summary in comment 7)
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: summaryUpdate interoperability
Keywords: filter:docx, haveBacktrace
Depends on:
Blocks: DOCX-SAXParse DOCX-Opening
  Show dependency treegraph
 
Reported: 2014-03-10 09:36 UTC by Orbel
Modified: 2019-05-15 11:56 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace with symbols from SIGABRT (15.52 KB, text/plain)
2014-03-10 17:26 UTC, Terrence Enger
Details
compressed DOCX and PDF (8.22 MB, application/x-7z-compressed)
2016-01-11 10:13 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Orbel 2014-03-10 09:36:54 UTC
The attached DOCX file does not open in LibreOffice and immediately offers recovery, which still does not resolve the issue.
Comment 1 Orbel 2014-03-10 09:42:22 UTC
Since the attachment is too big, please follow the link below to download the issue DOCX file:
https://drive.google.com/file/d/0B6ccfQG2Kep-Nzk5QW1sc3kxNkk/edit?usp=sharing
Comment 2 Urmas 2014-03-10 10:44:13 UTC
The document appears corrupted. Does it open at all?
Comment 3 Terrence Enger 2014-03-10 17:26:48 UTC
Created attachment 95522 [details]
backtrace with symbols from SIGABRT

With master commit 806f4d8, fetched 2014-03-04, configured as:
    --enable-option-checking=fatal
    --enable-dbgutil
    --enable-crashdump
    --without-system-postgresql
    --without-myspell-dicts
    --with-extra-buildid
    --without-doxygen
    --with-external-tar=/home/terry/lo_hacking/git/src
built and running on debian-wheezy 64-bit, I have managed to provoke a
SIGABRT.  The interesting part of the terminal output is:
    /usr/include/c++/4.7/debug/vector:366:error: attempt to access an element 
        in an empty container.

    Objects involved in the operation:
    sequence "this" @ 0x0x39300c8 {
      type = NSt7__debug6vectorIN5boost10shared_ptrINS0_IiSaIiEEEEESaIS5_EEE;
    }
    Application Error


    Fatal exception: Signal 6

This is another case of an assertion raised by a STL debug container.
It may not be exactly the crash originally reported, but hopefully it
happened earlier and more informatively.
Comment 4 QA Administrators 2014-10-05 23:05:41 UTC Comment hidden (obsolete)
Comment 5 Robinson Tryon (qubit) 2014-10-10 04:09:30 UTC
(In reply to Orbel from comment #0)
> The attached DOCX file does not open in LibreOffice and immediately offers
> recovery, which still does not resolve the issue.
> ...
> https://drive.google.com/file/d/0B6ccfQG2Kep-Nzk5QW1sc3kxNkk/edit?usp=sharing

Trying to open the given docx file crashes LibreOffice 4.3.2.2 on Ubuntu 14.04. It appears that there is some doubt about whether this file is actually validly-formatted, so I'll tentatively mark it as NEW.
Comment 6 QA Administrators 2015-10-14 19:56:29 UTC Comment hidden (obsolete)
Comment 7 Terrence Enger 2015-11-18 03:07:49 UTC
Summary
-------

Over time, people have reported various problems opening the file
linked from comment 1 ...

  - description : does not open
  - c#2         : document appears corrupted
  - c#3         : SIGABRT, access an element in an empty container
  - c#5         : crashes. doubt about validity of file
  - c#7 (here!) : SAXParseException

New comment
-----------

In daily dbgutil repository version 2015-11-13, upon attempt to open
the file, LO displays a message box (newlines added) ...

    File format error found at unsatisfied query for interface of type
        com.sun.star.lan.XComponent!
    SAXParseException: '[word/endnotes.xml line 2]: unknown error',
        Stream 'word/endnotes.xml', Line 2, Column 169834
    SAXParseException: '[word/document.xml line 2]: unknown error',
        Stream 'word/document.xml', Line 2, Column 139175(row,col).


officeotron reports one error in "Checking OPC Package" (newlines
added):

    Entry with MIME type
    "application/vnd.openxmlformats-package.core-properties+xml"
    has unrecognized relationship type
    "http://schemas.openxmlformats.org/package/2006/relationships/metadata/core-properties"
    (see ISO/IEC 29500-1:2008, Clause 15.2.12.1)


I am changing bug summary from
    The attached DOCX file does not open in LibreOffice
to
    FILEOPEN: SAXParseException on one .DOCX (summary in comment 07)
and adding whiteboard summaryUpdate.
Comment 8 Mike Kaganski 2016-01-11 10:13:03 UTC
Created attachment 121849 [details]
compressed DOCX and PDF

The file opens with Word. It contains 5013 pages. Word works with document very slowly; repagination takes ~5 min. The archive also contains PDF generated with Word.

On my system, it opens with Version: 5.0.4.2 (x64)
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: ru-RU (ru_RU)
(opening takes ~12 mins; after that it shows first pages), and immidiately crashes with SEH Exception: ACCESS VIOLATION.
Screenshot is also in attachment.
Comment 9 QA Administrators 2018-06-18 02:42:44 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug
Comment 10 Julien Nabet 2019-05-15 11:56:55 UTC
On Win 10 with master sources updated yesterday, I don't reproduce the crash.
However, it's quite long to open (several minutes).

Any update with recent LO version? (eg 6.2.3)